# $Revision: 1.11 $, $Date: 2002/10/30 13:00:07 $
Summary:	XML Editor for GNOME
Summary(pl):	Edytor XML dla GNOME
Name:		mlview
Version:	0.0.2
Release:	2
License:	GPL
Group:		X11/Applications/Editors
Source0:	http://freesoftware.fsf.org/download/mlview/tarballs/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-aclocal.patch
Patch1:		%{name}-ac_fixes.patch
URL:		http://www.freesoftware.fsf.org/mlview/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel >= 1.2.11
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.18 
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
gnome-mlview (Gnome Markup Language Viewer) is an XML editor for
GNOME. It include support to view, edit, validate and save xml
document by graphically manipulate the xml Document Object Model.

%description -l pl
gnome-mlview (Gnome Markup Language Viewer) to edytor XML dla GNOME.
Umoliwia przegldanie, modyfikowanie oraz zapisywanie dokumentw XML
z graficznym interfejsem.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Editors/XML,%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Editors/XML
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name} --with-gnome

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mlv
%attr(755,root,root) %{_bindir}/mlview
%attr(755,root,root) %{_bindir}/gnome-mlview
%attr(755,root,root) %{_bindir}/gmlview
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/gnome-mlview
%{_applnkdir}/Editors/XML/mlview.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mlview.spec,v $
Revision 1.11  2002/10/30 13:00:07  ankry
- desktop moved to Editors/XML, cleaning, rel. 2

Revision 1.10  2002/10/09 21:01:09  kloczek
- do not hardcode in configure.in CFLAGS options (ac_fixes patch added),
- fix installing in correct path .mo files (added regenerate gettext files) and
  finish %%find_lang support,
- added --disable-static to autoconf options (now static mlview libraries aren't
  built),
- separate desktop file and added png icon for desktop (based on pixmaps/mlview-app-icon.xpm),
- move desktop file to Office/Editors/ menu.

Revision 1.9  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/10/08 19:18:51  klakier
- ver 0.0.2

Revision 1.7  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.6  2002/05/21 23:14:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/04/08 15:52:45  kloczek
- run autoconf before automake, regenerate also lt files and "rm -f missing"
  on top %build.

Revision 1.4  2002/04/08 14:02:24  wiget
update to 0.0.1.11, DESTDIR patch is obsoleted

Revision 1.3  2002/04/02 15:42:24  wiget
- fix DESTDIR problem (DESTDIR.patch)
- proper handling of aclocal flags (aclocal.patch)
now mlview build, but segfaults on simple documents :(

Revision 1.2  2002/04/02 15:01:51  qboosh
- changed Group and prefix to X11, fixed requirements, added pl

Revision 1.1  2002/04/01 18:09:02  klakier
- based on generic spec
- waiting for next version with applied DESTDIR correction
